#include "World.h"

World::World()
{
    chunks = new Chunk**[chunkX];
    for(int x = 0; x < chunkX; x++)
    {
        chunks[x] = new Chunk*[chunkZ];
        for(int z = 0; z < chunkZ; z++)
        {
            chunks[x][z] = new Chunk(x, z);
        }
    }
}

World::~World()
{
    for(int x = 0; x < chunkX; x++)
    {
        for(int z = 0; z < chunkZ; z++)
        {
            delete chunks[x][z];
        }
        delete[] chunks[x];
    }
    delete[] chunks;
}

void World::renderTick(Shader& shader, DirectRenderer& dr, float lag)
{
    for(int x = 0; x < chunkX; x++)
    {
        for(int z = 0; z < chunkZ; z++)
        {
            chunks[x][z]->renderTick(shader, dr, lag);
        }
    }
}

